# adif-pota2sig

Process adif file for POTA uploads

## SYNOPSIS

adif-pota2sig.pl -i `in.adi` -o `out.adi`

adif-pota2sig.pl < `in.adi` > `out.adi`

adif-pota2sig.pl -r K-TEST -t `out_REF.adi` -i `in.adi`

adif-pota2sig.pl -r K-TEST -t `out_REF.adi` < `in.adi`

adif-pota2sig.pl -h

## DESCRIPTION

**adif-pota2sig** will read an adif file, if a contact has one or more POTA\_REF
entries (delimited by a comma), add SIG POTA and SIG\_INFO with reference.
Multiply contact such, that every POTA\_REF entry is a separate contact with own
SIG\_INFO. Extendet adif file will be printed to stdout or a file.

If used with **-r** and **-t** options a number of files with contents described
above will be created. One file for each POTA reference. For output filenames
see **-t**.

With **-r** you can also include the location in the format REFERENCE@LOCATION,
which is handy for trails. E. g. -r DE-0622@DE-HH

## OPTIONS

- **-h|--help**

    Print a brief help message and exits.

- **-i `in.adi`|--input=`in.adi`**

    Use `in.adi` as input (default: - for stdin).

- **-o `out.adi`|--output=`out.adi`**

    Use `out.adi` as output (default: - for stdout).

- **-r MY\_POTA\_REF|--reference=MY\_POTA\_REF**

    Use MY\_POTA\_REF as own POTA reference. If there are more than one (for a
    n-fer) create a list with commas, e. g. **-r** K-TEST1,K-TEST2,K-TEST3.

    Also set the entries MY\_SIG and MY\_SIG\_INFO matching the reference in the
    output files. By default already existing entries with MY\_SIG and MY\_SIG\_INFO
    won't be overwritten and the program will stop. Using **-f** will overwrite the
    entries.

    **-t** is mandatory for this option.

- **-t `out_REF.adi`|--template=`out_REF.adi`**

    Use `out_REF.adi` as output filename template for multiple references. REF
    will be replaced by a POTA reference. Multiple filenames will be created.

    **-o** is not allowed for this option.

    **-r** is mandatory for this option.

- **-f|--force**

    By default filenames selected with **-o** and **-t** won't be overwritten and the
    program will stop. Using **-f** will overwrite output files.
